import java.io.*;
import java.util.*;

public class JA 
{
	public static void main(String [] args)
	{
		int n, u, d;
		BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
		String line ="";
		try {
			line = in.readLine();
		} catch (Exception e) {};
		StringTokenizer str = new StringTokenizer(line);
		n = Integer.parseInt(str.nextToken());
		u = Integer.parseInt(str.nextToken());
		d = Integer.parseInt(str.nextToken());
		while (n != 0) {
			int count = 1;
			n -= u;
			while ( n > 0) {
				n += (d-u);
				count+=2;
			}
			System.out.println(count);
			try {
				line = in.readLine();
			} catch (Exception e) {};
			str = new StringTokenizer(line);
			n = Integer.parseInt(str.nextToken());
			u = Integer.parseInt(str.nextToken());
			d = Integer.parseInt(str.nextToken());
		}
	}
}
